.. module:: ase.formula

Chemical formula type
=====================

.. warning::

    This module is preliminary!  API may change or disappear in the future.

.. autoclass:: Formula
    :members:
    :member-order: bysource
    :special-members: __format__, __contains__, __getitem__,
       __eq__, __divmod__, __add__, __mul__, __len__
